# Location Details

This is an example of displaying some details of a MapsIndoors location.

Start by creating a `UIViewController` class that conforms to the `MPMapControlDelegate` protocol

```swift
class LocationDetailsController: UIViewController, MPMapControlDelegate {
```

Add a `MPMapControl` to the class

```swift
var mapControl: MPMapControl?
```

Add other views needed for this example

```swift
var detailsView = UIStackView()
var mainView = UIStackView()
var nameLabel = UILabel()
var descrLabel = UILabel()
```

Inside `viewDidLoad`, setup the label views

```swift
mapControl?.delegate = self
nameLabel.backgroundColor = UIColor.white
descrLabel.backgroundColor = UIColor.white
```

Arrange the labels inside a stackview

```swift
detailsView = UIStackView(arrangedSubviews: [nameLabel, descrLabel])
detailsView.axis = .vertical
```

Arrange the map and the stackview inside another stackview

```swift
mainView = UIStackView(arrangedSubviews: [map!, detailsView])
mainView.axis = .vertical
```

When marker is tapped, get related MapsIndoors location object and set label text, based on the name and description of the location

```swift
func didTapInfoWindow(location: MPLocation) -> Bool {
    self.nameLabel.text = location.name
    self.descrLabel.text = location.descr
    return false
}
```

When map is tapped, reset label text

```swift
func didTap(coordinate: MPPoint) -> Bool {
    self.nameLabel.text = nil
    self.descrLabel.text = nil
    return false
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.mapsindoors.com/sdks-and-frameworks/ios/displaying-objects/location-details.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
